| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::SingleContactAttributesMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- SingleContactAttributesMap ()
- SingleContactAttributesMap (const QMap< QString, QDBusVariant > &a)
- SingleContactAttributesMap & operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

Some of the attributes of a single contact.

## Constructor & Destructor Documentation

Tp::SingleContactAttributesMap::SingleContactAttributesMap | ( |  | ) | `[inline]`

Tp::SingleContactAttributesMap::SingleContactAttributesMap | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

SingleContactAttributesMap& Tp::SingleContactAttributesMap::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`